org.gradle.api.attributes

## Interface HasAttributes

- All Known Subinterfaces:
    ArtifactView, AttributeContainer, Configuration, ConfigurationVariant, HasConfigurableAttributes<SELF>, ResolvedArtifact

      @Incubating
      public interface HasAttributes

  Represents something that carries attributes by utilizing an `AttributeContainer`
  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeContainer` | `getAttributes()` Returns the attributes

- - ### Method Detail

    - #### getAttributes

          @Incubating
          AttributeContainer getAttributes()

      Returns the attributes